- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- OutputConfig
- BigQueryDestination
Exports metrics.
HTTP request
POST https://discoveryengine.googleapis.com/v1alpha/{analytics=projects/*/locations/*/collections/*/engines/*/analytics}:exportMetrics The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
analytics |
Required. The analytics resource name under the engine where the metrics are created. The format is |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "outputConfig": { object ( |
| Fields | |
|---|---|
outputConfig |
Required. The output location of the data. |
startDate |
Optional. The earliest date (inclusive), interpreted in the UTC time zone, whose metrics are included in the export. If unset, defaults to 30 days before the current UTC date. The value must be a valid calendar date that is not in the future and not older than 180 days (the source data retention window); otherwise the request fails with |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/discoveryengine.readwritehttps://www.googleapis.com/auth/discoveryengine.serving.readwrite
For more information, see the Authentication Overview.
OutputConfig
The output configuration setting.
| JSON representation |
|---|
{
// The following is a list of mutually exclusive fields. At most one of the
// fields will be set in a response:
"bigqueryDestination": {
object ( |
| Fields | |
|---|---|
| The configuration of destination for holding output data. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
bigqueryDestination |
The BigQuery location where the output is to be written to. |
| End of mutually exclusive fields. | |
BigQueryDestination
The BigQuery output destination configuration.
| JSON representation |
|---|
{ "datasetId": string, "tableId": string } |
| Fields | |
|---|---|
datasetId |
Required. The ID of a BigQuery Dataset. |
tableId |
Required. The tableId of exported BigQuery table. |